List webhooks

Get a paginated list of webhooks for the authenticated user.

GET
/v1/webhooks
AuthorizationBearer <token>

OAuth 2.0 authorization code flow

In: header

Query Parameters

limit?integer

The maximum number of entries to return in the paginated response.

Range1 <= value <= 100
Default20
after?string

A cursor for use in pagination. Returns entries after the given cursor. Cursor values can be found in the metadata object on paginated responses.

before?string

A cursor for use in pagination. Returns entries before the given cursor. Cursor values can be found in the metadata object on paginated responses.

Response Body

application/json

application/json

curl -X GET "https://example.com/v1/webhooks"
{  "entries": [    {      "created_at": "2024-01-15T10:30:00Z",      "id": "wh_01J5KC8V1MKRFGT8V2WD9Y8H6X",      "secret": "abc123",      "state": "active",      "url": "https://example.com/webhooks/savvycal",      "version": "2020-11-18"    },    {      "created_at": "2024-01-15T10:30:00Z",      "id": "wh_01J5KC8V1MKRFGT8V2WD9Y8H6X",      "secret": "abc123",      "state": "active",      "url": "https://example.com/webhooks/savvycal",      "version": "2020-11-18"    }  ],  "metadata": {    "after": "eyJpZCI6IndlYmhvb2tfYWJjMTIzIn0",    "before": null,    "limit": 25  }}